ChiliProject - Feature # 700: Accessibility: Tabindex

Status: Open Priority: Normal
Author: Romano Licker Category: User interface
Created: 2011-11-15 Assignee: Romano Licker
Updated: 2011-12-10 Due date:

Remote issue URL:

Affected version: unstable

Description: The application needs to have a logical tab order.

Disabled people use the tab-key in order to navigate through the application.

However giving each single element (which can have a focus) a tabindex would do more harm than good.

If a new element is added to the application, lets say a checkbox, and the author does not give a correct

tabindex, the checkbox would be the last element reachable.

Currently there are some elements having a tabindex and destroying the document tab-order completely

(some are in the jstoolbar.js).

I will now try to remove all tabindex and figure out, if the taborder is than logical and accessible.

Im working on new_design/ticket/692/new-design-for-review + pull request - if someone has objections - feel

free to contact me.

History

2011-11-16 10:27 am - Romano Licker

- Assignee changed from Romano Licker to Eric Davis

| completed the work.
What to do now?

| worked on the branch eric used for his pull request.

| can open a pull request for that branch but that wouldn't be a logical order. Should | do it anyway?

One commit is dependent on the new design - i could extract the rest - but than we would have one loose commit.

Suggestions?
2011-11-16 10:27 am - Romano Licker

- Assignee changed from Eric Davis to Romano Licker

2011-12-10 09:49 pm - Eric Davis
- Target version deleted (3.0.0)

Feel free to send a pull request based on the unstable branch. Once it's reviewed I'll be able to decide which version it should fit in.

Removing from 3.0. Reason: no public code and approaching 3.0 feature freeze.
